> For the complete documentation index, see [llms.txt](https://docs.logilica.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.logilica.com/advanced/datastudio-data-model/models/jirasprint.md).

# Planning Sprint

## Description

Metrics relating to sprints imported from a planning tool (e.g. Jira).

## Measures

| Name                              | Title                  | Description                                                    |
| --------------------------------- | ---------------------- | -------------------------------------------------------------- |
| `JiraSprint.minStartedAt`         | Min Started at         | The smallest start time for sprints, as a UNIX timestamp.      |
| `JiraSprint.minEndedAt`           | Min Ended at           | The smallest end time for sprints, as a UNIX timestamp.        |
| `JiraSprint.minCompletedAt`       | Min Completed at       | The smallest completion time for sprints, as a UNIX timestamp. |
| `JiraSprint.count`                | Count                  | Total number of sprints.                                       |
| `JiraSprint.storyPoints`          | Story Points           | Total story points planned for sprints.                        |
| `JiraSprint.completedStoryPoints` | Completed Story Points | Total story points completed for sprints.                      |
| `JiraSprint.leftoverStoryPoints`  | Leftover Story Points  | Total story points not completed by the end the sprints.       |

## Dimensions

| Name                                 | Title                         | Description                                                              |
| ------------------------------------ | ----------------------------- | ------------------------------------------------------------------------ |
| `JiraSprint.id`                      | Id                            |                                                                          |
| `JiraSprint.key`                     | Key                           | Unique identifier for the sprint.                                        |
| `JiraSprint.name`                    | Name                          | Name of the sprint.                                                      |
| `JiraSprint.timeInterval`            | Started Time                  | The planned start timestamp for this sprint.                             |
| `JiraSprint.timeIntervalEndedAt`     | Ended Time                    | The planned end timestamp for this sprint.                               |
| `JiraSprint.timeIntervalCompletedAt` | Completed Time                | The timestamp of when the sprint was concluded by a user.                |
| `JiraSprint.storyPointsDim`          | Story Points Dim              |                                                                          |
| `JiraSprint.completedStoryPointsDim` | Completed Story Points Dim    |                                                                          |
| `JiraSprint.leftoverStoryPointsDim`  | Leftover Story Points Dim     |                                                                          |
| `JiraSprint.startedAt`               | Started At (Unix Timestamp)   | The planned start date for this sprint as a UNIX timestamp.              |
| `JiraSprint.endedAt`                 | Ended At (Unix Timestamp)     | The planned end date for this sprint as a UNIX timestamp.                |
| `JiraSprint.completedAt`             | Completed At (Unix Timestamp) | The time of when the sprint was concluded by a user as a UNIX timestamp. |

## Connected Cubes

All fields belonging to the following cubes are also reachable from JiraSprint:

* [Planning Ticket Component](/advanced/datastudio-data-model/models/jiracomponent.md)
* [Planning Ticket Custom Field](/advanced/datastudio-data-model/models/jiracustomfield.md)
* [Epic](/advanced/datastudio-data-model/models/jiraepic.md)
* [Planning Ticket Hierarchy Issues](/advanced/datastudio-data-model/models/jirahierarchyissues.md)
* [Planning Ticket Hierarchy Issue Link](/advanced/datastudio-data-model/models/jiraissuehierarchylink.md)
* [Planning Ticket](/advanced/datastudio-data-model/models/jiraissuedetail.md)
* [Planning Ticket Event](/advanced/datastudio-data-model/models/jiraissueevent.md)
* [Planning Ticket Label](/advanced/datastudio-data-model/models/jiralabel.md)
* [Planning Sprint](/advanced/datastudio-data-model/models/jirasprint.md)
* [Planning Ticket State Durations](/advanced/datastudio-data-model/models/jirastatedurations.md)
* [Contributor](/advanced/datastudio-data-model/models/contributor.md)
* [Team](/advanced/datastudio-data-model/models/team.md)
* [Repositories](/advanced/datastudio-data-model/models/project.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.logilica.com/advanced/datastudio-data-model/models/jirasprint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
